UpdateApplication - AWS Security Agent

UpdateApplication

Updates the configuration of an existing application, including the IAM role and default KMS key.

Request Syntax

POST /UpdateApplication HTTP/1.1 Content-type: application/json { "applicationId": "string", "defaultKmsKeyId": "string", "roleArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

applicationId

The unique identifier of the application to update.

Type: String

Required: Yes

defaultKmsKeyId

The updated identifier of the default AWS KMS key for the application.

Type: String

Required: No

roleArn

The updated Amazon Resource Name (ARN) of the IAM role for the application.

Type: String

Required: No

Response Syntax

HTTP/1.1 200 Content-type: application/json { "applicationId": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

applicationId

The unique identifier of the updated application.

Type: String

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: